Subject: ����: Re: ����: Reg. IP addresses associated with a virtual router

From: [email-masked]
Date: Sat, 31 Mar 2001 10:02:59 +0800

I have the same question when I first read RFC2338, I am confused for in our
group there are two opinions.
  1) the addresses are all virtual addresses associated to a single group and
they are different network next hops in one router. A router as cisco2500 only
has one Ether port, if it is used to forwarding packets between two logical IP
network on a same LAN and want to redundary. for example: there are two kind of
IP addrs on a single LAN, 202.102.24.* and 192.168.1.*, when use a single E port
router to forwarding packets, we usually configure a IP addr of each network as
follows: 202.102.24.254 & 192.168.1.254. They could be in one virtual group.
  2) all the ip addresses, including virtual & real, should add into VRRP
ADVERTISEMENT and in accordance, count the "Count IP addrs" field. as RFC2338
says: to troubleshooting misconfigured routers.

We denied the second opinion at last.
So in my implement of VRRP, I usually use 1 IP address for a single virtual
group.
But I make the it configurable if you want use more virtual IP address.